PDA

View Full Version : RSS Crash bug?



Healy
2004-11-19, 14:59
Anyone else getting a server crash when they enable the RSS
screen-saver on the squeezebox? It kills my server every time & the
error log shows:

Undefined subroutine utf8::decode called at
/usr/local/SlimServer_v5.4.0/Plugins/RssNews.pm line 350
2004-11-19 13:55:03.7684 Got to the END.
2004-11-19 13:55:03.7690 Got sigint.
2004-11-19 13:55:03.7693 SlimServer cleaning up.


Linux, 5.4 general release Tarball

kdf
2004-11-19, 15:32
perl version 5.6.x perhaps?
this has been mentioned once before, and perl 5.6 was mentioned. 5.6 doesn't
really suport Unicode very well. This is why unicode support has been lacking
in general for the server since it has been considered important to maintain
support for Perl 5.6. I guess this was overlooked for the RSS Plugin. If you
can, try upgrading to Perl 5.8.
-kdf

Quoting Healy <slim (AT) nwgeeks (DOT) com>:

> Anyone else getting a server crash when they enable the RSS
> screen-saver on the squeezebox? It kills my server every time & the
> error log shows:
>
> Undefined subroutine utf8::decode called at
> /usr/local/SlimServer_v5.4.0/Plugins/RssNews.pm line 350
> 2004-11-19 13:55:03.7684 Got to the END.
> 2004-11-19 13:55:03.7690 Got sigint.
> 2004-11-19 13:55:03.7693 SlimServer cleaning up.
>
>
> Linux, 5.4 general release Tarball
>
>

Healy
2004-11-19, 15:46
Yup, Perl 5.6.1

Unfortunately, it's not feasible for me to upgrade the perl on this box
right now. Oh well, I was just sort of checking
out the rss feature & noticed the crash.


On Nov 19, 2004, at 2:32 PM, kdf wrote:

> perl version 5.6.x perhaps?
> this has been mentioned once before, and perl 5.6 was mentioned. 5.6
> doesn't
> really suport Unicode very well. This is why unicode support has been
> lacking
> in general for the server since it has been considered important to
> maintain
> support for Perl 5.6. I guess this was overlooked for the RSS Plugin.
> If you
> can, try upgrading to Perl 5.8.
> -kdf
>
> Quoting Healy <slim (AT) nwgeeks (DOT) com>:
>
>> Anyone else getting a server crash when they enable the RSS
>> screen-saver on the squeezebox? It kills my server every time & the
>> error log shows:
>>
>> Undefined subroutine utf8::decode called at
>> /usr/local/SlimServer_v5.4.0/Plugins/RssNews.pm line 350
>> 2004-11-19 13:55:03.7684 Got to the END.
>> 2004-11-19 13:55:03.7690 Got sigint.
>> 2004-11-19 13:55:03.7693 SlimServer cleaning up.
>>
>>
>> Linux, 5.4 general release Tarball
>>
>>

kdf
2004-11-19, 15:55
Quoting Healy <slim (AT) nwgeeks (DOT) com>:

> Yup, Perl 5.6.1
>
> Unfortunately, it's not feasible for me to upgrade the perl on this box
> right now. Oh well, I was just sort of checking
> out the rss feature & noticed the crash.

maybe you can add it in. there is a comment in the RSS plugin that notes a line
of code in reference to utf8 that is required for 5.6. Clearly I was mistaken
about 5.6 being overlooked. I have looked at CPAN and can't really figure out
what module(s) you might need to install.

worst case, try commenting out line 350 of RSSNews.pm. it may result in garbled
characters for some feeds, but it coud avoid the crash.
-kdf

Robin Cooksey
2004-11-19, 17:18
On Fri, 19 Nov 2004, kdf wrote:

> Quoting Healy <slim (AT) nwgeeks (DOT) com>:
>
>> Yup, Perl 5.6.1
>>
>> Unfortunately, it's not feasible for me to upgrade the perl on this box
>> right now. Oh well, I was just sort of checking
>> out the rss feature & noticed the crash.
>
> maybe you can add it in. there is a comment in the RSS plugin that notes a line
> of code in reference to utf8 that is required for 5.6. Clearly I was mistaken
> about 5.6 being overlooked. I have looked at CPAN and can't really figure out
> what module(s) you might need to install.
>
> worst case, try commenting out line 350 of RSSNews.pm. it may result in garbled
> characters for some feeds, but it coud avoid the crash.

I posted about this yesterday, but there were no responses. I'm having
the same issue (Perl 5.6.1, RSS crash).

Commenting out line 350 (the call to utf8::decode) makes the crash go away
for me. The "perlunicode" man page for Perl 5.6.1 suggests that "use
utf8" is required to enable some unicode features on Perl 5.6.

In short, it looks like RssNews.pm mostly works on Perl 5.6.1, but only if
you comment out the call to utf8::decode.

Cheers,
Robin

kdf
2004-11-19, 17:44
Quoting Robin Cooksey <rbc (AT) hundredacre (DOT) org.uk>:

> I posted about this yesterday, but there were no responses. I'm having
> the same issue (Perl 5.6.1, RSS crash).
>
> Commenting out line 350 (the call to utf8::decode) makes the crash go away
> for me. The "perlunicode" man page for Perl 5.6.1 suggests that "use
> utf8" is required to enable some unicode features on Perl 5.6.
that would be the bit of code with the note. I guess the decode feature still
isn't friendly with 5.6

>
> In short, it looks like RssNews.pm mostly works on Perl 5.6.1, but only if
> you comment out the call to utf8::decode.
>
sounds like a great condidate for a bug report (http://bugs.slimdevices.com)
-kdf

Robin Cooksey
2004-11-19, 18:20
On Fri, 19 Nov 2004, kdf wrote:

>> In short, it looks like RssNews.pm mostly works on Perl 5.6.1, but only if
>> you comment out the call to utf8::decode.
>>
> sounds like a great condidate for a bug report (http://bugs.slimdevices.com)

Done - bug number 668.

Cheers,
Robin